File: Adwaita.css

package info (click to toggle)
gnome-photos 44.0-3
  • links: PTS, VCS
  • area: main
  • in suites: trixie
  • size: 8,416 kB
  • sloc: ansic: 53,430; xml: 1,283; makefile: 201; python: 89; sh: 52
file content (51 lines) | stat: -rw-r--r-- 1,084 bytes parent folder | download | duplicates (3)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
@define-color theme_base_color #333333;
@define-color photos_collection_bg #000000;

GdMainIconView.content-view {
    -GdMainIconView-icon-size: 40;
}

/* Make spinner visible on both dark and bright backgrounds w/o making
 * it look ugly/weird.
 */
GdMainIconView.content-view.cell:active {
    color: gray;
}

.documents-counter {
    background-image: url("dnd-counter.svg");
    background-size: contain;
    background-color: transparent;
    color: @theme_base_color;
    font-weight: bold;
}

.documents-scrolledwin.frame {
    border-width: 1px 0 0;
    border-radius: 0;
}

.photos-icon-bg {
  -gtk-icon-shadow: 0 1px #000000;
}

.photos-fade-in {
    opacity: 1.0;
    transition: opacity 0.2s ease-out;
}

.photos-fade-out {
    opacity: 0.0;
    transition: opacity 0.2s ease-out;
}

.photos-collection-icon {
    background-color: @photos_collection_bg;
    border-radius: 8px;
}

button.photos-filter-preview:checked {
    background: @theme_selected_bg_color;
    color: @theme_selected_fg_color;
    -gtk-icon-shadow: 0 3px 3px shade(@theme_selected_bg_color,0.7);
}